<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Mamo</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Mamo-4/digital-comic/967115</Web>
  <Summary>Mamo's final trick is revealed! Will Orla be able to escape the trap her grandmother set from beyond the grave? And with tensions rising, will Orla and Jo's burgeoning friendship survive, or is Orla going to have to face Mamo's angry spirit all on her own? Orla struggles with the fact that if she saves Haresden, she'll be stuck there forever, but if she doesn't, the town will fall to chaos and be destroyed. Which will she choose, or is her destiny already written?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB967115], [ASINB09FRNMPHV]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Imprint>BOOM! - BOOM! Box</Imprint>
  <Genre>Fantasy, Action/Adventure</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
